image: 'maven:3.6.3-jdk-11-slim'
 
stages:
  - build
  - test
  - deploy
  
build:
  stage: build
  script:
    - mvn clean install
  rules:
    - if: '$CI_COMMIT_BRANCH'
      when: always
      
test:
  stage: test
  script:
    - mvn clean test
  rules:
    - if: '$CI_COMMIT_BRANCH'
      when: always

deploy:
  stage: deploy
  script:
    - mvn clean test
  rules:
    - if: '$CI_COMMIT_BRANCH'
      when: always